Bug 1315333 - Web Admin Console: Invalid attribute in SSL configuration
Web Admin Console: Invalid attribute in SSL configuration
Status: CLOSED CURRENTRELEASE
Product: JBoss Data Virtualization 6
Classification: JBoss
Component: Integration (Show other bugs)
6.3.0
Unspecified Unspecified
low Severity low
: ER2
: 6.3.0
Assigned To: Van Halbert
Filip Elias
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-07 08:43 EST by Filip Elias
Modified: 2016-08-24 07:46 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
DV 6.3 ER1
Last Closed: 2016-08-24 07:46:16 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker TEIIDWEBCN-20 Major Resolved "Unknown attribute ssl-enable" error in DV Management Console when configuring a transport for SSL 2016-06-02 11:34 EDT

  None (edit)
Description Filip Elias 2016-03-07 08:43:48 EST
It seems ssl-enable is invalid attribute (ssl can be enabled through attribute 'mode'). I assume it can be removed from menu. Configuration fails when SSL Enabled is checked.

Steps to reproduce:
    Open web admin console
    Configuration > Teiid > Transports > SSL
    Click Edit
    Check SSL Enabled
    Click Save



Error:
Internal Server Error
{
    "outcome" => "failed",
    "result" => {"step-1" => {
        "outcome" => "failed",
        "failure-description" => "JBAS014792: Unknown attribute ssl-enable",
        "rolled-back" => true
    }},
    "failure-description" => {"JBAS014653: Composite operation failed and was rolled back. Steps that failed:" => {"Operation step-1" => "JBAS014792: Unknown attribute ssl-enable"}},
    "rolled-back" => true,
    "response-headers" => {"process-state" => "reload-required"}
}
Comment 1 JBoss JIRA Server 2016-03-07 09:17:04 EST
Steven Hawkins <shawkins@redhat.com> updated the status of jira TEIID-4026 to Resolved

Note You need to log in before you can comment on or make changes to this bug.